uploadobjectObj Struct Reference

`#include <definitions.h>`

## Public Attributes

int | async_action_status
napi_deferred | deferred
napi_async_work | work
napi_value | result
char * | bucketname
char * | objectkey
UplinkProject | project
UplinkUploadResult | upload_result
UplinkUploadOptions | uploadOptions
int | uploadoptionSet

## Member Data Documentation

## async_action_status

int uploadobjectObj::async_action_status

## bucketname

char* uploadobjectObj::bucketname

## deferred

napi_deferred uploadobjectObj::deferred

## objectkey

char* uploadobjectObj::objectkey

## project

UplinkProject uploadobjectObj::project

## result

napi_value uploadobjectObj::result

## upload_result

UplinkUploadResult uploadobjectObj::upload_result

## uploadOptions

UplinkUploadOptions uploadobjectObj::uploadOptions

## uploadoptionSet

int uploadobjectObj::uploadoptionSet

## work

napi_async_work uploadobjectObj::work

The documentation for this struct was generated from the following file:

- definitions.h